<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Prod2Smil</title>
</head>

<body>
<?php


function ddhhmmssxy($t) {
	$xy = round(($t-floor($t))*100);
	$ss = floor($t%60);
	$mm = floor(($t/60)%60);
	$hh = floor(($t/3600)%60);
	$dd = floor(($t/86400));
	return sprintf("%02s:%02s:%02s:%02s.%02s",$dd, $hh, $mm, $ss, $xy);
}

$fd = fopen("$RepSauv/project.js", "r");

while (!feof($fd)) {
	$buffer = fgets($fd);
	$buffer = iconv("UTF-16","UTF-8",$buffer);

	
	
	if (ereg ("g_nDuration = ([^;]+);", $buffer, $regs)) {
		$duration = $regs[1];
	}	
	if (ereg ("EventNode\([0-9]+, ([^,]+), .+ \"#TOCTITLE=([^\"]+)\"", $buffer, $regs)) {
		$start[] = $regs[1];
		$titre[] = $regs[2];
	}	
}
fclose($fd);



$fdiapo = fopen("$RepSauv/diapo.rp", "w");
fwrite($fdiapo, 
'<imfl>
	<head
		title="titre"
		copyright="copyright="
		timeformat="dd:hh:mm:ss.xyz"
		duration="'.ddhhmmssxy($duration).'"
		bitrate="10000"
		width="440"
		height="330"
	/>

	<!-- Assign handle numbers to images -->'); 
foreach ($start as $key => $value) {
	fwrite($fdiapo, '
	<image handle="'); 
	fwrite($fdiapo, $key+1); 
	fwrite($fdiapo, '" name="diapo/Diapositive'); 
	fwrite($fdiapo, $key+1); 
	fwrite($fdiapo, '.jpg"/>'); 
}
fwrite($fdiapo, 
'

	<!-- These effects define the timeline of the presentation -->'); 
foreach ($start as $key => $value) {
	fwrite($fdiapo, '
	<crossfade start="');
	fwrite($fdiapo, ddhhmmssxy($value));
	fwrite($fdiapo, '" duration="1.0" target="');
	fwrite($fdiapo, $key+1);
	fwrite($fdiapo, '" dstx="0" dsty="0" dstw="440" dsth="330" aspect="true" />');
}
fwrite($fdiapo, '
</imfl>'); 
fclose($fdiapo);

$findex = fopen("$RepSauv/index.rt", "w");
fwrite($findex, 
'<window 
	type="generic" 
	duration="'.ddhhmmssxy($duration).'"
	width="250" 
	height="620"
	bgcolor="gray" 
	link="white"
	underline_hyperlinks="false"
	loop="false"
>'); 
foreach ($start as $key => $value) {
	fwrite($findex, '
	<a href="command:seek(');
	fwrite($findex, ddhhmmssxy($value));
	fwrite($findex, ');" target="_player">');
	fwrite($findex, $titre[$key]);
	fwrite($findex, '</a>');
	if 	($key+1 < count($start)) fwrite($findex, '<br/>');
}
fwrite($findex, '
</window>'); 
fclose($findex);
?>
</body>
</html>
